// pages/visitList/visitList.js
const app = require('../../utils/util.js');
Page({
  /**
   * 页面的初始数据
   */
  data: {
    arr: []
  },
  go(e) {
    console.log(e.currentTarget.dataset.item)
    wx.navigateTo({
      url: '/pages/visitListInfo/visitListInfo?id=' + e.currentTarget.dataset.item
    })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    wx.showLoading({
      title: '加载中',
    })
    console.log(options)
    wx.request({
      url: app.globalData.publicUrl + '/wxinfo/visitByNumber',
      method: "GET",
      data: {
        number: options.id
      },
      success: res => {
        console.log(res)
        if (res.data.code == 0) {
          console.log('我查到15条信息了', res)
          let arr = res.data.data
          arr.forEach(item => {
            item.visitTime = this.formatDate(item.visitTime);
          })
          this.setData({
            arr
          })
        } else {
          wx.showModal({
            showCancel: false,
            content: res.data.message,
          })
        }
      },
      complete: () => {
        wx.hideLoading()
      }
    });
  },
  formatTen(num) {
    return num > 9 ? num + "" : "0" + num;
  },
  formatDate(date) {
    var date = new Date(date);
    var year = date.getFullYear();
    var month = date.getMonth() + 1;
    var day = date.getDate();
    var hour = date.getHours();
    var minute = date.getMinutes();
    var second = date.getSeconds();
    return (
      year +
      "-" +
      this.formatTen(month) +
      "-" +
      this.formatTen(day) +
      " " +
      this.formatTen(hour) +
      ":" +
      this.formatTen(minute) +
      ":" +
      this.formatTen(second)
    );
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})